Subject: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

From: Greg Mirsky <[email-masked]>
Date: Mon, 27 Mar 2017 11:28:47 -0500

Dear All,
the second paragraph in section 1.1 of RFC 4656 states the following:

   Although OWAMP-Test may be used in conjunction with a control
   protocol other than OWAMP-Control, the authors have deliberately
   chosen to include both protocols in the same RFC to encourage the
   implementation and deployment of OWAMP-Control as a common
   denominator control protocol for one-way active measurements.

I interpret "may be used" as MAY per RFC 2119. Please let me know if
this should not be the case.

Regards,

Greg

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 27 Mar 2017 17:24:32 +0000

Greg,

If we had meant RFC 2119 “MAY” or “OPTIONAL” (the term
you used today when presenting) we would have used the
RFC 2119 term in the text.

There are plenty of other examples where both Control
and Test protocols are taken as “the full TWAMP”.

Al

From: ippm [mailto:[email-masked]] On Behalf Of Greg Mirsky
Sent: Monday, March 27, 2017 12:29 PM
To: [email-masked]
Subject: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Dear All,

I interpret "may be used" as MAY per RFC 2119. Please let me know if this should not be the case.

Regards,

Greg

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 27 Mar 2017 14:16:06 -0500

Hi Al,
then, in my opinion, there's certain ambiguity in the text of RFC 4656 and
in RFC 5357 as well because of the following statement in the very first
sentence of section 1.1 RFC 5357:

   Similar to OWAMP [RFC4656 <https://tools.ietf.org/html/rfc4656>],
TWAMP consists of two inter-related
   protocols: TWAMP-Control and TWAMP-Test.  The relationship of these
   protocols is as defined in Section 1.1
<https://tools.ietf.org/html/rfc5357#section-1.1> of OWAMP [RFC4656
<https://tools.ietf.org/html/rfc4656>].

Regards,

Greg

On Mon, Mar 27, 2017 at 12:24 PM, MORTON, ALFRED C (AL) <[email-masked]>
wrote:

> *From:* ippm [mailto:[email-masked]] *On Behalf Of *Greg Mirsky
> *Sent:* Monday, March 27, 2017 12:29 PM
> *To:* [email-masked]
> *Subject:* [ippm] RFC 4656 on use of OWAMP-Control and relationship with
> OWAMP-Test
>
>
>
> Dear All,
>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 27 Mar 2017 21:08:10 +0000

Greg,

All ambiguity falls away in the context of
the complete TWAMP document, which says:

   This example eliminates the need for the TWAMP-Control protocol, and
   assumes that the Session-Reflector is configured and communicates its
   configuration with the Server through non-standard means.

The example referred to above is not TWAMP;
it is the option you describe, but it is
called *TWAMP light*.

Al

From: ippm [mailto:[email-masked]] On Behalf Of Greg Mirsky
Sent: Monday, March 27, 2017 3:16 PM
To: MORTON, ALFRED C (AL)
Cc: [email-masked]
Subject: Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Hi Al,
then, in my opinion, there's certain ambiguity in the text of RFC 4656 and in RFC 5357 as well because of the following statement in the very first sentence of section 1.1 RFC 5357:

   Similar to OWAMP [RFC4656<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc4656&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=GYMy1_sqf9mj6S0ZH3B8vNmqe0Dhjo7de61Qb0R_PEk&s=xSkfFW5jj6YPbqpcfnAlahroG7DXdI0xfiFASWYpQzU&e=>], TWAMP consists of two inter-related

   protocols is as defined in Section 1.1<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc5357-23section-2D1.1&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=GYMy1_sqf9mj6S0ZH3B8vNmqe0Dhjo7de61Qb0R_PEk&s=Ll0h5X4oSwXXl4G_FY2cRS-EuQtOlW7UBieZuuUVGno&e=> of OWAMP [RFC4656<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc4656&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=GYMy1_sqf9mj6S0ZH3B8vNmqe0Dhjo7de61Qb0R_PEk&s=xSkfFW5jj6YPbqpcfnAlahroG7DXdI0xfiFASWYpQzU&e=>].

Regards,

Greg

On Mon, Mar 27, 2017 at 12:24 PM, MORTON, ALFRED C (AL) <[email-masked]<mailto:[email-masked]>> wrote:
Greg,

Al

From: ippm [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Greg Mirsky
Sent: Monday, March 27, 2017 12:29 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Dear All,

Regards,

Greg

---

From: Mahesh Jethanandani <[email-masked]>
Date: Mon, 27 Mar 2017 16:20:55 -0500

Greg,

And the part that you forgot to quote that followed in Section 1.1 is:

TWAMP-
   Control is used to initiate, start, and stop test sessions, whereas
   TWAMP-Test is used to exchange test packets between two TWAMP
   entities.

There is clearly a precedence for TWAMP-Control to be a entity by itself and very much part of the TWAMP protocol.

If this is this rational for your comments on the YANG model, then I fail to see RFC 5357 backing your claim that TWAMP-control is optional.

Cheers.

> On Mar 27, 2017, at 4:08 PM, MORTON, ALFRED C (AL) <[email-masked]> wrote:
> 
> Greg,
>  
>    Similar to OWAMP [RFC4656 <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc4656&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=GYMy1_sqf9mj6S0ZH3B8vNmqe0Dhjo7de61Qb0R_PEk&s=xSkfFW5jj6YPbqpcfnAlahroG7DXdI0xfiFASWYpQzU&e=>], TWAMP consists of two inter-related
>    protocols is as defined in Section 1.1 <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc5357-23section-2D1.1&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=GYMy1_sqf9mj6S0ZH3B8vNmqe0Dhjo7de61Qb0R_PEk&s=Ll0h5X4oSwXXl4G_FY2cRS-EuQtOlW7UBieZuuUVGno&e=> of OWAMP [RFC4656 <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc4656&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=GYMy1_sqf9mj6S0ZH3B8vNmqe0Dhjo7de61Qb0R_PEk&s=xSkfFW5jj6YPbqpcfnAlahroG7DXdI0xfiFASWYpQzU&e=>]. 
>  
> Regards,
> Greg
>  
> On Mon, Mar 27, 2017 at 12:24 PM, MORTON, ALFRED C (AL) <[email-masked] <mailto:[email-masked]>> wrote:
> Greg,
>  
> From: ippm [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Greg Mirsky
> To: [email-masked] <mailto:[email-masked]>
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm

Mahesh Jethanandani
[email-masked]

---

From: Ron Even <[email-masked]>
Date: Mon, 27 Mar 2017 16:53:57 -0500

Hi,
I read both RFC5357 and RFC 4656 and even though they say that TWAMP
consist of two protocol it never says that  both MUST be used anywhere in
the document. The document does not have a lot of normative text.

Section 5 of RFC5357 is an example and not a requirement and even the text
that was mentioned in the IPPM session

"Appendix I <https://tools.ietf.org/html/rfc5357#appendix-I> provides an
example for purely informational purposes. It

   suggests an incremental path to adopting TWAMP, by implementing the
   TWAMP-Test protocol first."

Does not say that using TWAMP-Test without the control protocol SHOULD
NOT be used.

Roni Even

On Mon, Mar 27, 2017 at 4:20 PM, Mahesh Jethanandani <
[email-masked]> wrote:

> There is clearly a precedence for TWAMP-Control to be a entity by itself
> and very much part of the TWAMP protocol.
>
> If this is this rational for your comments on the YANG model, then I fail
> to see RFC 5357 backing your claim that TWAMP-control is optional.
>
> Cheers.
>
> called **TWAMP light**.
> *From:* ippm [mailto:[email-masked] <[email-masked]>] *On
> Behalf Of *Greg Mirsky
> *Sent:* Monday, March 27, 2017 3:16 PM
> *To:* MORTON, ALFRED C (AL)
> *Cc:* [email-masked]
> *Subject:* Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship
> with OWAMP-Test
>
> Hi Al,

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 27 Mar 2017 22:39:45 +0000

Roni, in-line:

From: Ron Even [mailto:[email-masked]]
Sent: Monday, March 27, 2017 5:54 PM
To: Mahesh Jethanandani
Cc: MORTON, ALFRED C (AL); [email-masked]
Subject: Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Hi,
I read both RFC5357 and RFC 4656 and even though they say that TWAMP consist of two protocol it never says that  both MUST be used anywhere in the document. The document does not have a lot of normative text.

Section 5 of RFC5357 is an example and not a requirement and even the text that was mentioned in the IPPM session

"Appendix I<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc5357-23appendix-2DI&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=8rzEqXJ9uFZvh3uOA5yH4SAy8bbtiIWWkkC6E6u9GxE&s=huzSTziCOa3hcY2o_C07JqZnWLM-OlUvRsWjy9vEZvw&e=> provides an example for purely informational purposes. It

Does not say that using TWAMP-Test without the control protocol SHOULD NOT be used.

[ACM]

Of course it doesn’t! It says Appendix I describes a

the first step of one process of standards-track TWAMP

implementation, by starting with TWAMP-light, then

implementing the rest of TWAMP (TWAMP-Control).

Al

Roni Even

On Mon, Mar 27, 2017 at 4:20 PM, Mahesh Jethanandani <[email-masked]<mailto:[email-masked]>> wrote:
Greg,

TWAMP-

   entities.

Cheers.

On Mar 27, 2017, at 4:08 PM, MORTON, ALFRED C (AL) <[email-masked]<mailto:[email-masked]>> wrote:

Greg,

Al

Cc: [email-masked]<mailto:[email-masked]>

Hi Al,

Regards,

Greg

Al

Dear All,

Regards,

Greg

_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_ippm&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=8rzEqXJ9uFZvh3uOA5yH4SAy8bbtiIWWkkC6E6u9GxE&s=ZMtRtQf7_uEvBWTI8FH_yxzn-HO1WhKzzf08n89kqxs&e=>

Mahesh Jethanandani
[email-masked]<mailto:[email-masked]>

_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_ippm&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=8rzEqXJ9uFZvh3uOA5yH4SAy8bbtiIWWkkC6E6u9GxE&s=ZMtRtQf7_uEvBWTI8FH_yxzn-HO1WhKzzf08n89kqxs&e=>

---

From: Ron Even <[email-masked]>
Date: Mon, 27 Mar 2017 17:53:47 -0500

Al,
The last part of your response  "* then **implementing the rest of TWAMP
(TWAMP-Control)." is not there. This is why I said that it does not say
that you SHOULD implement the control protocol, you can stop after
implmenting the test protocol.*
*Roni*

On Mon, Mar 27, 2017 at 5:39 PM, MORTON, ALFRED C (AL) <[email-masked]>
wrote:

> Roni, in-line:
>
>
>
> *From:* Ron Even [mailto:[email-masked]]
> *Sent:* Monday, March 27, 2017 5:54 PM
> *To:* Mahesh Jethanandani
> *Cc:* MORTON, ALFRED C (AL); [email-masked]
> "Appendix I
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc5357-23appendix-2DI&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=8rzEqXJ9uFZvh3uOA5yH4SAy8bbtiIWWkkC6E6u9GxE&s=huzSTziCOa3hcY2o_C07JqZnWLM-OlUvRsWjy9vEZvw&e=>
> provides an example for purely informational purposes. It
>
> *[ACM] *
> *Of course it doesn’t! It says Appendix I describes a *
>
> *the first step of one process of standards-track TWAMP *
>
> *implementation, by starting with TWAMP-light, then *
>
> *implementing the rest of TWAMP (TWAMP-Control).*
>
>
>
> *Al*
>
>
>
>
>
>
>
>
>
> Roni Even
>
>
>
>
>
>
>
>
>
>
>
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_ippm&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=8rzEqXJ9uFZvh3uOA5yH4SAy8bbtiIWWkkC6E6u9GxE&s=ZMtRtQf7_uEvBWTI8FH_yxzn-HO1WhKzzf08n89kqxs&e=>
>
>
>
> Mahesh Jethanandani
>
> [email-masked]
>
>
>
>
>
>
>
>
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_ippm&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=8rzEqXJ9uFZvh3uOA5yH4SAy8bbtiIWWkkC6E6u9GxE&s=ZMtRtQf7_uEvBWTI8FH_yxzn-HO1WhKzzf08n89kqxs&e=>
>
>
>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 27 Mar 2017 23:07:25 +0000

I’m sorry Roni, but that’s exactly what this phrase,
“...an incremental path to adopting TWAMP…”  means,
suggesting a multi-step process to achieve a full TWAMP
implementation.

The sentence in the body sets the context for Appendix I.
It says the Appendix describes building TWAMP-Test *first*.
Clearly, TWAMP-Test is not the final step!

Al

From: Ron Even [mailto:[email-masked]]
Sent: Monday, March 27, 2017 6:54 PM
To: MORTON, ALFRED C (AL)
Cc: Mahesh Jethanandani; [email-masked]
Subject: Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Al,
The last part of your response  " then implementing the rest of TWAMP (TWAMP-Control)." is not there. This is why I said that it does not say that you SHOULD implement the control protocol, you can stop after implmenting the test protocol.
Roni

On Mon, Mar 27, 2017 at 5:39 PM, MORTON, ALFRED C (AL) <[email-masked]<mailto:[email-masked]>> wrote:
Roni, in-line:

From: Ron Even [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, March 27, 2017 5:54 PM
To: Mahesh Jethanandani
Cc: MORTON, ALFRED C (AL); [email-masked]<mailto:[email-masked]>
Subject: Re: [ippm] RFC 4656 on use of OWAMP-Control and relationship with OWAMP-Test

Hi,

[ACM]

Al

Roni Even

TWAMP-

   entities.

Cheers.

Greg,

Al

Hi Al,

Regards,

Greg

Al

Dear All,

Regards,

Greg

Mahesh Jethanandani

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 27 Mar 2017 18:56:04 -0500

Dear All,
in the first paragraph of already mentioned section 1.1 of RFC 4656
characterizes OWAMP-Control and OWAMP-Test as two inter-related but not
inter-dependent protocols. I believe that the same is true for
TWAMP-Control and TWAMP-Test. Control protocols may be used to initiate,
start and stop test sessions but the OWAMP/TWAMP-control protocol is not
the only way to achieve that in the same way as co-location of
Control-Client and Session-Sender, on one side, and Server and
Session-Reflector, on another side, is not the only way these functions may
be instantiated in participating nodes. In fact, RFC 5357 does envision
separation, though physical, between TWAMP-Control and TWAMP-Test in the
following figure:

         +----------------+               +-------------------+
         | Session-Sender |<-TWAMP-Test-->| Session-Reflector |
         +----------------+               +-------------------+
           ^                                     ^
           |                                     |
           |                                     |
           |                                     |
           |  +----------------+<----------------+
           |  |     Server     |
           |  +----------------+
           |    ^
           |    |
           | TWAMP-Control
           |    |
           v    v
         +----------------+
         | Control-Client |
         +----------------+

Regards,

Greg

On Mon, Mar 27, 2017 at 6:07 PM, MORTON, ALFRED C (AL) <[email-masked]>
wrote:

> It says the Appendix describes building TWAMP-Test **first**.
>
> *Sent:* Monday, March 27, 2017 6:54 PM
> *Cc:* Mahesh Jethanandani; [email-masked]
>
> The last part of your response  "* then implementing the rest of TWAMP

---

From: Henrik Nydell <[email-masked]>
Date: Tue, 28 Mar 2017 08:55:26 +0200

There is also plenty of de-facto standardization on TWAMP-light in the
field. As far as I know, these vendors support TWAMP-light in their
Session-reflectors;
Ericsson radios, Nokia radios (Except ALU who use Control), MRV OS9x,
Accedian and probably several others. Adopting TWAMP can mean many things,
depending on if you see it from the vendors perspective or the users. From
a vendors perspective TWAMP-light is a path to adopting full TWAMP (with
control) but how long this path is depends of course on the vendor roadmap,
and they may end up never implementing the RFC version of TWAMP-control.
>From a users perspective it may seem easier to start with TWAMP-light with
fixed configuration of reflector ports to ease firewall configuration, then
possibly adopting full TWAMP further down the line. I argue that the
meaning with TWAMP is to obtain metrics (TWAMP-test), and thus the setup
portion is a different function which may or may not use a standardized
method. As things evolve it may prove more useful to implement a REST-type
API or a NetConf API for the control of the session-reflector to easier
interwork in ETSI-NFV type orchestrated environments.

On Tue, Mar 28, 2017 at 1:56 AM, Greg Mirsky <[email-masked]> wrote:

>> Section 5 of RFC5357 is an example and not a requirement and even the
>> text that was mentioned in the IPPM session
>>
>>
>>
>> "Appendix I
>> then, in my opinion, there's certain ambiguity in the text of RFC 4656
>> and in RFC 5357 as well because of the following statement in the very
>> first sentence of section 1.1 RFC 5357:
>>

-- 

Henrik Nydell

Sr Manager Global Strategy & Solutions

Cell

Email

Skype

+46 709845992

[email-masked] <[email-masked]>

h <http://linkedin.com/in/maekowalk>nydell

<http://accedian.com/> <http://blog.accedian.com/>
<https://www.linkedin.com/company/accedian-networks>
<https://twitter.com/Accedian>   <https://www.facebook.com/accedian>
<http://www.youtube.com/user/accedian>

-- 

Avis de confidentialité

Les informations contenues dans le présent message et dans toute pièce qui 
lui est jointe sont confidentielles et peuvent être protégées par le secret 
professionnel. Ces informations sont à l’usage exclusif de son ou de ses 
destinataires. Si vous recevez ce message par erreur, veuillez s’il vous 
plait communiquer immédiatement avec l’expéditeur et en détruire tout 
exemplaire. De plus, il vous est strictement interdit de le divulguer, de 
le distribuer ou de le reproduire sans l’autorisation de l’expéditeur. 
Merci.

Confidentiality notice

This e-mail message and any attachment hereto contain confidential 
information which may be privileged and which is intended for the exclusive 
use of its addressee(s). If you receive this message in error, please 
inform sender immediately and destroy any copy thereof. Furthermore, any 
disclosure, distribution or copying of this message and/or any attachment 
hereto without the consent of the sender is strictly prohibited. Thank you.